%if 0%{?el7}
%define dist .el7
%endif

Name:           perl-Google-ProtocolBuffers
Version:        0.12
Release:        1%{?dist}
Summary:        Simple interface to Google Protocol Buffers

Group:          Development/Libraries
License:        GPL+ or Artistic
URL:            http://search.cpan.org/~saxjazman/
Source0:        http://search.cpan.org/CPAN/authors/id/S/SA/SAXJAZMAN/protobuf/Google-ProtocolBuffers-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
# Correct for lots of packages, other common choices include eg. Module::Build
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Class::Accessor)
BuildRequires:  perl(Parse::RecDescent)

%if 0%{?fedora} >= 23
BuildRequires:  perl(Math::BigInt)
%endif
%if 0%{?fedora} >= 27
BuildRequires:  perl(inc::Module::Install)
%endif

BuildRequires:  perl(ExtUtils::MakeMaker)
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

Packager:       momo-i <webmaster@momo-i.org>
Vendor:         momo-i, http://www.momo-i.org/

%{?perl_default_filter}

%description
Google Protocol Buffers is a data serialization format. It is binary (and hence compact and fast for serialization) and as extendable as XML; its nearest analogues are Thrift and ASN.1. There are official mappings for C++, Java and Python languages; this library is a mapping for Perl.

%prep
%setup -q -n Google-ProtocolBuffers-%{version}


%build
# Remove OPTIMIZE=... from noarch packages (unneeded)
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
# Remove the next line from noarch packages (unneeded)
find $RPM_BUILD_ROOT -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type f -name '.DS_Store' -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
%{_fixperms} $RPM_BUILD_ROOT/*


%check
make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Changes README*
# For noarch packages: vendorlib
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*
%{_bindir}/protoc-perl

%changelog
* Sun Jul 15 2018 momo-i <webmaster@momo-i.org> - 0.12-1
- Update to 0.12

* Thu Sep 03 2015 momo-i <webmaster@momo-i.org> - 0.11-4
- Update dist for centos7

* Mon Aug 10 2015 momo-i <webmaster@momo-i.org> - 0.11-3
- Rebuilt for fc23

* Fri Aug 07 2015 momo-i <webmaster@momo-i.org> - 0.11-2
- Add buildrequires for fc23

* Thu Apr 16 2015 momo-i <webmaster@momo-i.org> - 0.11-1
- Initial RPM Release
